Skip to main content
`Ctrl`+`K`

# DMPlexPartitionLabelPropagate

Propagate points in a partition label over the point `PetscSF`

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexPartitionLabelPropagate(DM dm, DMLabel label)

## Input Parameters

- dm - The `DM`

- label - `DMLabel` assigning ranks to remote roots

## Note

This is required when generating multi-level overlaps to capture overlap points from non-neighbouring partitions.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMLabel`, `DMPlexPartitionLabelCreateSF()`, `DMPlexDistribute()`, `DMPlexCreateOverlap()`

## Level

developer

## Location

src/dm/impls/plex/plexpartition.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages